<?php

namespace HS\Http\Csp;

use Spatie\Csp\Keyword;
use Spatie\Csp\Directive;
use Spatie\Csp\Policies\Policy;

class PortalPolicy extends Policy
{
    public function configure()
    {
        $this
            ->addDirective(Directive::BASE, Keyword::SELF)
            ->addDirective(Directive::CONNECT, Keyword::SELF)
            ->addDirective(Directive::DEFAULT, Keyword::SELF)
            ->addDirective(Directive::FORM_ACTION, Keyword::SELF)
            ->addDirective(Directive::IMG, '* data: blob:')
            ->addDirective(Directive::MEDIA, '*')
            ->addDirective(Directive::OBJECT, '*')
            ->addDirective(Directive::SCRIPT, "* data: blob: unsafe-inline unsafe-eval" /*Keyword::SELF . ' ' . Keyword::UNSAFE_EVAL*/)
            ->addDirective(Directive::STYLE, Keyword::SELF . ' ' . Keyword::UNSAFE_INLINE . ' ' . 'fonts.googleapis.com *')
            ->addDirective(Directive::FONT, '* data: blob:')
            ->addDirective(Directive::DEFAULT, '*');
            // ->addNonceForDirective(Directive::SCRIPT);
            // ->addNonceForDirective(Directive::STYLE);
    }
}
